Get Vector
curl --request GET \
--url https://api.egp.scale.com/v5/vector-stores/{vector_store_name}/vectors/{vector_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/vector-stores/{vector_store_name}/vectors/{vector_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/vector-stores/{vector_store_name}/vectors/{vector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"content": {
"text": "<string>",
"type": "text"
},
"metadata": {},
"vector": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Vector Stores
Get Vector
Retrieve a single document by its unique ID.
Returns the document’s full content, metadata, and optionally its embedding vector. Use this endpoint for direct lookups when the exact document ID is known. For content similarity search, use the query endpoint.
GET
/
v5
/
vector-stores
/
{vector_store_name}
/
vectors
/
{vector_id}
Get Vector
Authorizations
Headers
Path Parameters
The name of the vector store
The ID of the vector to retrieve
Query Parameters
Include embedding vectors
Response
Successful Response

